<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.goldenwater.slaj.eng.mapper.AttEngSdMapper">
    <resultMap type="com.goldenwater.slaj.eng.domain.AttEngSd" id="AttEngSdResult">
        <result property="guid" column="guid"/>
        <result property="pGuid" column="p_guid"/>
        <result property="engName" column="eng_name"/>
        <result property="impoGrad" column="impo_grad"/>
        <result property="apprBudg" column="appr_budg"/>
        <result property="startDate" column="start_date"/>
        <result property="compDate" column="comp_date"/>
        <result property="engStat" column="eng_stat"/>
        <result property="orgGuid" column="org_guid"/>
        <result property="oflpCode" column="oflp_code"/>
        <result property="ifReinForce" column="if_rein_force"/>
        <result property="projGuid" column="proj_guid"/>
        <result property="stat" column="stat"/>
        <result property="sdCode" column="sd_code"/>
        <result property="engGuid" column="eng_guid"/>
        <result property="cenLong" column="cen_long"/>
        <result property="cenLat" column="cen_lat"/>
        <result property="sdLoc" column="sd_loc"/>
        <result property="adGuid" column="ad_guid"/>
        <result property="conArea" column="con_area"/>
        <result property="totCap" column="tot_cap"/>
        <result property="warpCap" column="warp_cap"/>
        <result property="sdSizeLen" column="sd_size_len"/>
        <result property="sdSizeHig" column="sd_size_hig"/>
        <result property="engScal" column="eng_scal"/>
        <result property="desFlSta" column="des_fl_sta"/>
        <result property="note" column="note"/>
        <result property="collTime" column="coll_time"/>
        <result property="updTime" column="upd_time"/>
        <result property="recPers" column="rec_pers"/>
        <result property="engReinForceGuid" column="eng_rein_force_guid"/>
    </resultMap>

    <sql id="selectAttEngSdVo">
        select guid, p_guid, eng_name, impo_grad, appr_budg, start_date, comp_date, eng_stat, org_guid, oflp_code, if_rein_force, proj_guid, stat, sd_code, eng_guid, cen_long, cen_lat, sd_loc, ad_guid, con_area, tot_cap, warp_cap, sd_size_len, sd_size_hig, eng_scal, des_fl_sta, note, coll_time, upd_time, rec_pers, eng_rein_force_guid from att_eng_sd
    </sql>

    <select id="selectByGuid" parameterType="String" resultMap="AttEngSdResult">
        <include refid="selectAttEngSdVo"/> where guid = #{guid}
    </select>

    <select id="selectList" parameterType="com.goldenwater.slaj.eng.domain.AttEngSd" resultMap="AttEngSdResult">
        <include refid="selectAttEngSdVo"/>
        <where>
            <if test="engName != null and engName != ''">and eng_name like '%' || #{engName} || '%'</if>
            <if test="engGuid != null and engGuid != ''">and eng_guid = #{engGuid}</if>
        </where>
    </select>

    <insert id="insert" parameterType="com.goldenwater.slaj.eng.domain.AttEngSd">
        insert into att_eng_sd (guid, p_guid, eng_name, impo_grad, appr_budg, start_date, comp_date, eng_stat, org_guid, oflp_code, if_rein_force, proj_guid, stat, sd_code, eng_guid, cen_long, cen_lat, sd_loc, ad_guid, con_area, tot_cap, warp_cap, sd_size_len, sd_size_hig, eng_scal, des_fl_sta, note, coll_time, upd_time, rec_pers, eng_rein_force_guid)
        values (#{guid}, #{pGuid}, #{engName}, #{impoGrad}, #{apprBudg}, #{startDate}, #{compDate}, #{engStat}, #{orgGuid}, #{oflpCode}, #{ifReinForce}, #{projGuid}, #{stat}, #{sdCode}, #{engGuid}, #{cenLong}, #{cenLat}, #{sdLoc}, #{adGuid}, #{conArea}, #{totCap}, #{warpCap}, #{sdSizeLen}, #{sdSizeHig}, #{engScal}, #{desFlSta}, #{note}, #{collTime}, #{updTime}, #{recPers}, #{engReinForceGuid})
    </insert>

    <update id="update" parameterType="com.goldenwater.slaj.eng.domain.AttEngSd">
        update att_eng_sd
        <set>
            <if test="pGuid != null and pGuid != ''">p_guid = #{pGuid},</if>
            <if test="engName != null and engName != ''">eng_name = #{engName},</if>
            <if test="impoGrad != null and impoGrad != ''">impo_grad = #{impoGrad},</if>
            <if test="apprBudg != null and apprBudg != ''">appr_budg = #{apprBudg},</if>
            <if test="startDate != null">start_date = #{startDate},</if>
            <if test="compDate != null">comp_date = #{compDate},</if>
            <if test="engStat != null and engStat != ''">eng_stat = #{engStat},</if>
            <if test="orgGuid != null and orgGuid != ''">org_guid = #{orgGuid},</if>
            <if test="oflpCode != null and oflpCode != ''">oflp_code = #{oflpCode},</if>
            <if test="ifReinForce != null and ifReinForce != ''">if_rein_force = #{ifReinForce},</if>
            <if test="projGuid != null and projGuid != ''">proj_guid = #{projGuid},</if>
            <if test="stat != null and stat != ''">stat = #{stat},</if>
            <if test="sdCode != null and sdCode != ''">sd_code = #{sdCode},</if>
            <if test="engGuid != null and engGuid != ''">eng_guid = #{engGuid},</if>
            <if test="cenLong != null and cenLong != ''">cen_long = #{cenLong},</if>
            <if test="cenLat != null and cenLat != ''">cen_lat = #{cenLat},</if>
            <if test="sdLoc != null and sdLoc != ''">sd_loc = #{sdLoc},</if>
            <if test="adGuid != null and adGuid != ''">ad_guid = #{adGuid},</if>
            <if test="conArea != null and conArea != ''">con_area = #{conArea},</if>
            <if test="totCap != null and totCap != ''">tot_cap = #{totCap},</if>
            <if test="warpCap != null and warpCap != ''">warp_cap = #{warpCap},</if>
            <if test="sdSizeLen != null and sdSizeLen != ''">sd_size_len = #{sdSizeLen},</if>
            <if test="sdSizeHig != null and sdSizeHig != ''">sd_size_hig = #{sdSizeHig},</if>
            <if test="engScal != null and engScal != ''">eng_scal = #{engScal},</if>
            <if test="desFlSta != null and desFlSta != ''">des_fl_sta = #{desFlSta},</if>
            <if test="note != null and note != ''">note = #{note},</if>
            <if test="collTime != null">coll_time = #{collTime},</if>
            <if test="updTime != null">upd_time = #{updTime},</if>
            <if test="recPers != null and recPers != ''">rec_pers = #{recPers},</if>
            <if test="engReinForceGuid != null and engReinForceGuid != ''">eng_rein_force_guid = #{engReinForceGuid},</if>
        </set>
        where guid = #{guid}
    </update>

    <delete id="deleteByGuid" parameterType="String">
        delete from att_eng_sd where guid = #{guid}
    </delete>

    <delete id="deleteByGuids" parameterType="String">
        delete from att_eng_sd where guid in
        <foreach item="guid" collection="array" open="(" separator="," close=")">#{guid}</foreach>
    </delete>
</mapper>
